当前位置: 首页 > others > 正文

apxs:Error: Command failed with rc=65536

以下是实际配置:

I want to use mod_expires in apache2,

./configure –prefix=/usr/local/apache –enable-expires

make && make install

but no mod_expires.so in modules/

so,i want to add mod by myself.

httpd-2.0.59.tar.gz

linux-2.6.18-8.el5

apache installed:

./configure –prefix=/usr/local/apache –enable-module=most –enable-shared=max –enable-so

[[email protected] metadata]# /usr/local/apache/bin/apxs -c mod_expires.c

/usr/local/apache/build/libtool –silent –mode=compile gcc -prefer-pic -DAP_HAVE_DESIGNATED_INITIALIZER -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -g -O2 -pthread -I/usr/local/apache/include -I/usr/local/apache/include -I/usr/local/apache/include -c -o mod_expires.lo mod_expires.c && touch mod_expires.slo

/usr/local/apache/build/libtool –silent –mode=link gcc -o mod_expires.la -rpath /usr/local/apache/modules -module -avoid-version mod_expires.lo

[[email protected] metadata]# /usr/local/apache/bin/apxs -i -a mod_expires.la

/usr/local/apache/build/instdso.sh SH_LIBTOOL=’/usr/local/apache/build/libtool’ mod_expires.la /usr/local/apache/modules

/usr/local/apache/build/libtool –mode=install cp mod_expires.la /usr/local/apache/modules/

cp .libs/mod_expires.lai /usr/local/apache/modules/mod_expires.la

cp .libs/mod_expires.a /usr/local/apache/modules/mod_expires.a

ranlib /usr/local/apache/modules/mod_expires.a

chmod 644 /usr/local/apache/modules/mod_expires.a

PATH=”$PATH:/sbin” ldconfig -n /usr/local/apache/modules

———————————————————————-

Libraries have been installed in:

/usr/local/apache/modules

If you ever happen to want to link against installed libraries

in a given directory, LIBDIR, you must either use libtool, and

specify the full pathname of the library, or use the `-LLIBDIR’

flag during linking and do at least one of the following:

– add LIBDIR to the `LD_LIBRARY_PATH’ environment variable

during execution

– add LIBDIR to the `LD_RUN_PATH’ environment variable

during linking

– use the `-Wl,–rpath -Wl,LIBDIR’ linker flag

– have your system administrator add LIBDIR to `/etc/ld.so.conf’

See any operating system documentation about shared libraries for

more information, such as the ld(1) and ld.so(8) manual pages.

———————————————————————-

Warning! dlname not found in /usr/local/apache/modules/mod_expires.la.

Assuming installing a .so rather than a libtool archive.

chmod 755 /usr/local/apache/modules/mod_expires.so

chmod: cannot access `/usr/local/apache/modules/mod_expires.so’: No such file or directory

apxs:Error: Command failed with rc=65536

find this in google

I think mybe my default libtool has wrong version.

/usr/local/apache/build/libtool –version

/usr/bin/libtool –version

[[email protected] ]# /usr/local/apache/build/libtool –version

ltmain.sh (GNU libtool) 1.4.3 (1.922.2.110 2002/10/23 01:39:54)

[[email protected] ]# libtool –version

ltmain.sh (GNU libtool) 1.5.6 (1.1220.2.95 2004/04/11 05:50:42)

Copyright (C) 2003 Free Software Foundation, Inc.

This is free software; see the source for copying conditions. There is NO

warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

the apache’s libtool is older than my OS.

anything help?

本文固定链接: http://2hei.net/apxserror-command-failed-with-rc65536.html | 2hei's site

该日志由 2hei 于2007年11月20日发表在 others 分类下,
原创文章转载请注明: apxs:Error: Command failed with rc=65536 | 2hei's site

报歉!评论已关闭.